Page MenuHomePhabricator

Document action=query&meta=wbcontentlanguages on mediawiki.org
Closed, ResolvedPublic

Description

The new API to list content languages should be documented on mw:Wikibase/API.

Event Timeline

Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptAug 28 2018, 10:13 AM
Addshore triaged this task as Normal priority.Aug 29 2018, 9:16 AM

I added the query module to the page in https://www.mediawiki.org/w/index.php?title=Wikibase/API&diff=2865863&oldid=2865859

However I'm not sure we should even be maintaining that page any more.
The content of https://www.wikidata.org/w/api.php?action=help&modules=query%2Bwbcontentlanguages is pretty complete, and I wonder we are bothering to duplicate it.

Addshore moved this task from incoming to in progress on the Wikidata board.Aug 30 2018, 9:10 AM

I also added a link in https://www.mediawiki.org/w/index.php?title=Wikibase/API&diff=2866698&oldid=2866697 in favour of reproducing the same documentation there.

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 3 2018, 11:49 AM

I don’t really agree with the documentation removal, but I guess this is done for now.